/*
Autor:		Rafael Alberto Moreno Parra
URL:		http://www.geocities.com/krousky
Clase:		Inicializa.
Lenguaje:	C++

Propsito:
Inicializa las variables para la simulacin

Mtodos:

*/
class Inicializa {
public:

	struct stDatosSimul
	{
   		//Probabilidades, estos datos se leen de un archivo de inicializacin
		unsigned int iTotalCiclos; //Ciclos de juego (Cuantos "mundiales" se van a jugar)
		unsigned int iTotalJuegos; //Nmero de juegos por ciclo (cuantas partidas se van a jugar)
		unsigned int iTotalTurnos; //Nmero de turnos que tendran ambos jugadores
		unsigned int iTotalUsarFuncion; //Mximo nmero de veces que se puede usar funciones del ambiente
		unsigned int iPoblacion; //Poblacin a generar.
		unsigned int iNumInstMin; //Numero de instrucciones(tripletes) mnimo generado
		unsigned int iNumInstMax; //Numero de instrucciones(tripletes) mximo generado
		unsigned int iTotalFun; //Total Funciones
		unsigned int iProbabIF; //Probabilidad de IF
		unsigned int iProbabFN; //Probabilidad de Funcion
		unsigned int iTotalVar; //Total Variables
		unsigned int iProbaVar; //Probabilidad de usar variables en la expresin derecha
		unsigned int iTotalCPU; //Cuantos ciclos de CPU consume cada algoritmo gentico.
		unsigned int iAnchoTabl; //Ancho del tablero de Juego
		unsigned int iLargoTabl; //Largo del tablero de Juego
		char sArchResult[30]; //Archivo donde se guarda el resultado
	};  

	struct stDatosSimul stDatVA; //Datos Vida Artificial
	void vPantallaIni(void);
    int vLeeArchivoIni(void);
	void vArchResult(void);
	void vGrabaLinea(char *sMensaje);
	void vGrabaAlgoritmos(unsigned int iIntento, float fMargenError, char *sMensaje);
	void vFinalSimulacion(void);
};
